{ pkgs, ... }:
with pkgs;
rustPlatform.buildRustPackage rec {
  pname = "comet-gog";
  version = "e313c8a";

  src = fetchFromGitHub {
    owner = "imLinguin";
    repo = "comet";
    rev = "42768af2056c5bc8ed2e51f8ff6e933d8802fc5d";
    hash = "sha256-npf+Yb9TWp0PMbpHPRKF05RVHLj9iaBgl5lSYeeMfHQ=";
    fetchSubmodules = true;
  };

  PROTOC = "${protobuf}/bin/protoc";
  PROTOC_INCLUDE = "${protobuf}/include";
  nativeBuildInputs = [ protobuf ];

  cargoLock.lockFile = src + /Cargo.lock;
}
